package envoy.client.ui;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import envoy.schema.Message;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>UserListRenderer.java</strong><br>
 * Created: <strong>19 Oct 2019</strong><br>
 * 
 * @author Kai S. K. Engelbart
 */
public class MessageListRenderer extends JLabel implements ListCellRenderer<Message> {

	private static final long serialVersionUID = 5164417379767181198L;

	@Override
	public Component getListCellRendererComponent(JList<? extends Message> list, Message value, int index,
			boolean isSelected,
			boolean cellHasFocus) {
		if (isSelected) {
			setBackground(list.getSelectionBackground());
			setForeground(list.getSelectionForeground());
		} else {
			setBackground(list.getBackground());
			setForeground(list.getForeground());
		}

		// Enable background rendering
		setOpaque(true);

		setText(value.getContent().get(0).getText());
		setFont(list.getFont());

		return this;
	}
}
